com.google.appengine.api.datastore

## Enum ReadPolicy.Consistency

- java.lang.Object
- - java.lang.Enum<ReadPolicy.Consistency>
  - - com.google.appengine.api.datastore.ReadPolicy.Consistency

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReadPolicy.Consistency>
  Enclosing class:
    ReadPolicy

      public static enum ReadPolicy.Consistency
      extends java.lang.Enum<ReadPolicy.Consistency>

  Setting the `Consistency` for reads allows you to decide whether freshness or availability is more important.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENTUAL` Selects availability over freshness.
    `STRONG` Selects freshness over availability.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadPolicy.Consistency` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReadPolicy.Consistency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRONG

          public static final ReadPolicy.Consistency STRONG

      Selects freshness over availability. Strongly consistent reads are guaranteed to return the most up-to-date data but will timeout more often than eventually consistent reads.

    - #### EVENTUAL

          public static final ReadPolicy.Consistency EVENTUAL

      Selects availability over freshness. Eventually consistent reads will timeout less often than Strong reads but will occasionally return stale results.

  - ### Method Detail

    - #### values

          public static ReadPolicy.Consistency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadPolicy.Consistency c : ReadPolicy.Consistency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadPolicy.Consistency valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null